﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OOLib
{
   /// <summary>
   /// Provides access to the collection of all bookmarks associated with a data source. 
   /// </summary>
   public interface IBookmarksSupplier
   {
      /// <summary>
      /// Gets the collection of all bookmarks associated with a data source.
      /// </summary>
      /// <remarks>
      /// A bookmark is simply a string specifying the location of the bookmarked document.
      /// </remarks>
      NameAccess<Bookmark> Bookmarks { get; }
   }
}
