﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OOLib
{
   /// <summary>
   /// Specifies the name of the object. 
   /// </summary>
   public interface INamed
   {
      /// <summary>
      /// Gets or sets the name of the object.
      /// </summary>
      /// <remarks>
      /// The name is generally unique in the container of the object.
      /// </remarks>
      string Name { get; set; }
   }
}
